
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>5.3. [U3.11.01] : Modeling beams and bars - POU_D_T, POU_D_E, BARRE &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="6. U4: Command documentation" href="u4_toc.html" />
    <link rel="prev" title="5.2. [U3.02.01]: Gmsh meshes and Code_Aster" href="u3.02.01.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u4_toc.html" title="6. U4: Command documentation">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u3.02.01.html" title="5.2. [U3.02.01]: Gmsh meshes and Code_Aster">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u3_toc.html" accesskey="U"><span class="section-number">5. </span><strong>U3</strong> : Model documentation</a> &#187;</li>
      
      <li><span class="section-number">5.3. </span><strong>[U3.11.01]</strong> : Modeling beams and bars - <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>, <code class="docutils literal notranslate"><span class="pre">BARRE</span></code></li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u3-11-01-modeling-beams-and-bars-pou-d-t-pou-d-e-barre">
<span id="u3-11-01"></span><h1><span class="section-number">5.3. </span><strong>[U3.11.01]</strong> : Modeling beams and bars - <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>, <code class="docutils literal notranslate"><span class="pre">BARRE</span></code><a class="headerlink" href="#u3-11-01-modeling-beams-and-bars-pou-d-t-pou-d-e-barre" title="Permalink to this headline">¶</a></h1>
<p>The models <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code> and <code class="docutils literal notranslate"><span class="pre">BARRE</span></code>  correspond to the classical formulations of
beam and bar elements, inspired by the Strength of Materials.  The term <code class="docutils literal notranslate"><span class="pre">POU</span></code> stands for
“poutre” (<span class="green">beam</span>) and the term <code class="docutils literal notranslate"><span class="pre">BARRE</span></code> means <span class="green">bar</span>.  The suffix <code class="docutils literal notranslate"><span class="pre">D</span></code> stands
for “droite” (<span class="green">straight</span>).  The suffix <code class="docutils literal notranslate"><span class="pre">T</span></code> stands
for <span class="blue">Timoshenko</span> and the suffice <code class="docutils literal notranslate"><span class="pre">E</span></code> stands for <span class="blue">Euler-Bernoulli</span>.</p>
<p>These models can be used for three-dimensional, isotropic, linear or nonlinear mechanical analysis.</p>
<div class="section" id="discretization">
<h2><span class="section-number">5.3.1. </span>Discretization<a class="headerlink" href="#discretization" title="Permalink to this headline">¶</a></h2>
<div class="section" id="degrees-of-freedom">
<h3><span class="section-number">5.3.1.1. </span>Degrees of freedom<a class="headerlink" href="#degrees-of-freedom" title="Permalink to this headline">¶</a></h3>
<p>For the three-dimensional beam models, the degrees of freedom at
each node of the mesh are the six components of deformation (three translations and three
rotations).  These nodes indicate locations at the mid-plane of the beam.</p>
<p>For the three-dimensional bar model, the degrees of freedom at each
node are the three components of displacement in translation.</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 36%" />
<col style="width: 9%" />
<col style="width: 9%" />
<col style="width: 9%" />
<col style="width: 11%" />
<col style="width: 11%" />
<col style="width: 14%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Finite element</p></th>
<th class="head" colspan="6"><p>Degrees of freedom at each node</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>POU_D_T</p></td>
<td><p>DX</p></td>
<td><p>DY</p></td>
<td><p>DZ</p></td>
<td><p>DRX</p></td>
<td><p>DRY</p></td>
<td><p>DRZ</p></td>
</tr>
<tr class="row-odd"><td><p>POU_D_E</p></td>
<td><p>DX</p></td>
<td><p>DY</p></td>
<td><p>DZ</p></td>
<td><p>DRX</p></td>
<td><p>DRY</p></td>
<td><p>DRZ</p></td>
</tr>
<tr class="row-even"><td><p>BARRE</p></td>
<td><p>DX</p></td>
<td><p>DY</p></td>
<td><p>DZ</p></td>
<td colspan="3"></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="support-entity-for-stiffness-matrices">
<h3><span class="section-number">5.3.1.2. </span>Support entity for stiffness matrices<a class="headerlink" href="#support-entity-for-stiffness-matrices" title="Permalink to this headline">¶</a></h3>
<p>The mesh support entity for the finite elements, in displacement formulation, is a segment with two nodes
<code class="docutils literal notranslate"><span class="pre">SEG2</span></code>:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 28%" />
<col style="width: 28%" />
<col style="width: 44%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Model</p></th>
<th class="head"><p>Entity</p></th>
<th class="head"><p>Finite element</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>POU_D_T</p></td>
<td><p>SEG2</p></td>
<td><p>MECA_POU_D_T</p></td>
</tr>
<tr class="row-odd"><td><p>POU_D_E</p></td>
<td><p>SEG2</p></td>
<td><p>MECA_POU_D_E</p></td>
</tr>
<tr class="row-even"><td><p>BARRE</p></td>
<td><p>SEG2</p></td>
<td><p>MECA_BARRE</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="support-entity-for-loads">
<h3><span class="section-number">5.3.1.3. </span>Support entity for loads<a class="headerlink" href="#support-entity-for-loads" title="Permalink to this headline">¶</a></h3>
<p>All the loads applicable to beam and bar elements are treated by direct discretization of the
support enetity of the element in displacement formulation.</p>
<p>No support entity for loading is thus necessary for the en-points of beam and bar elements.</p>
</div>
<div class="section" id="main-features-of-the-models">
<h3><span class="section-number">5.3.1.4. </span>Main features of the models<a class="headerlink" href="#main-features-of-the-models" title="Permalink to this headline">¶</a></h3>
<p>The model <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code> (straight Euler beam) corresponds to the Euler-Bernouilli assumptions,
that the sections remain plane and perpendicular to the mid-plane (slender beams).</p>
<p>Model <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code> (straight Timoshenko beam) takes into account the effect of transverse shearing.</p>
<p>Model <code class="docutils literal notranslate"><span class="pre">BARRE</span></code> considers only axial forces and deformations.</p>
<p>Warped beams are treated in <strong>[U3.11.04]</strong>.</p>
</div>
</div>
<div class="section" id="assignment-of-geometric-properties">
<h2><span class="section-number">5.3.2. </span>Assignment of geometric properties<a class="headerlink" href="#assignment-of-geometric-properties" title="Permalink to this headline">¶</a></h2>
<p>It is necessary to assign geometrical properties to these 1D structural elements to complete
the geometric description of the mesh.   These properties are defined using the command
<code class="docutils literal notranslate"><span class="pre">AFFE_CARA_ELEM</span></code> and the following associated keywords:</p>
<ul>
<li><p><code class="docutils literal notranslate"><span class="pre">POUTRE</span></code> (<span class="green">BEAM</span>) :  Define and assign the cross-section properties and the directions of
the main axes of inertia around the neutral axis.</p>
<p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">BARRE</span></code> (<span class="green">BAR</span>) : Define and assign the properties of the cross-section.</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">BARRE</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">ORIENTATION</span></code> :  Define and assign the principal axes of the cross-section of beam elements.</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</div></blockquote>
</li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>For meshes of beams that are composed of <cite>SEG2</cite> elements, it is useless to excessively refine these
elements because their integrated formulation makes it possible to obtain exact solutions at the
nodes in linear statics <strong>[R3.08.01]</strong>.  In modal analysis and dynamics, care must be taken to
create a mesh that is just sufficient to represent the important modes; it is necessary that the
elements are of a sufficient length, according to the dimensions of the section, so that the
beam assumption remains valid.</p>
<p>For example, for a beam of length 1 with a circular cross-section of external radius 0.05 and
thickness 0.01, 10 elements are enough to capture the first 10 modes correctly.  But if one refines
excessively, for example with 1000 elements, then each element of beam is very short: length
0.001 compared to an external radius of 0.05. The element matrices are very badly conditioned,
in particular for the element <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code> (for <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, the transverse shear terms improve
the conditioning a little). At that resolution, one loses about 8 digits of precision for <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>.</p>
</div>
</div>
<div class="section" id="supported-loads">
<h2><span class="section-number">5.3.3. </span>Supported loads<a class="headerlink" href="#supported-loads" title="Permalink to this headline">¶</a></h2>
<p>The loads that can be applied are the following:</p>
<ul>
<li><p><code class="docutils literal notranslate"><span class="pre">CONTACT</span></code> : Define zones that may come into contact with other meshes</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">EPSI_INIT</span></code> : Apply an initial strain to the model</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">FORCE_ELEC</span></code>  :  Apply a Lorentz force (also called Laplace force) on a principal conductor, due to the presence of a secondary straight conductor</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">FORCE_POUTRE</span></code> :  Apply linear forces</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>, <code class="docutils literal notranslate"><span class="pre">BARRE</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">INTE_ELEC</span></code> :  Apply the Lorentz force acting on a principal conductor, due to the presence of a secondary conductor not necessarily straight compared to this principal conductor</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p>
</div></blockquote>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">GRAVITY</span></code> :  Apply a gravity load</p>
<blockquote>
<div><p>Supported models: <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>, <code class="docutils literal notranslate"><span class="pre">BARRE</span></code></p>
</div></blockquote>
</li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>For contact between a beam and a surface see <strong>[R5.03.50]</strong>.</p>
</div>
</div>
<div class="section" id="non-linear-mechanics">
<h2><span class="section-number">5.3.4. </span>Non-linear mechanics<a class="headerlink" href="#non-linear-mechanics" title="Permalink to this headline">¶</a></h2>
<div class="section" id="material-models">
<h3><span class="section-number">5.3.4.1. </span>Material models<a class="headerlink" href="#material-models" title="Permalink to this headline">¶</a></h3>
<p>Behaviors specific to these 1D models, and usable under <code class="docutils literal notranslate"><span class="pre">COMPORTEMENT</span></code> (;green:<cite>BEHAVIOR</cite>)
in <code class="docutils literal notranslate"><span class="pre">STAT_NON_LINE</span></code> and <code class="docutils literal notranslate"><span class="pre">DYNA_NON_LINE</span></code> are (see <strong>[U4.51.11]</strong> for more detail):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="s1">&#39;LEMA_SEUIL&#39;</span>

  <span class="c1"># Viscoplasticity</span>
  <span class="c1"># Supported model: POU_D_T, POU_D_E</span>

<span class="o">/</span> <span class="s1">&#39;PINTO_MENEGOTTO&#39;</span>

  <span class="c1"># Elastoplasticity</span>
  <span class="c1"># Supported model: BARRE</span>

<span class="o">/</span> <span class="s1">&#39;VMIS_ASYM_LINE&#39;</span>

  <span class="c1"># Uniaxial von Mises (J_2) plasticity</span>
  <span class="c1"># Supported model: BARRE</span>
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>It is also possible for these models that use a one-dimensional state of stress to use
3D material models (thanks to the method of Borst <strong>[R5.03.03]</strong>).</p>
</div>
</div>
<div class="section" id="strains">
<h3><span class="section-number">5.3.4.2. </span>Strains<a class="headerlink" href="#strains" title="Permalink to this headline">¶</a></h3>
<p>Only linearized strains,  keyword <code class="docutils literal notranslate"><span class="pre">'SMALL'</span></code>, are available for the material models
(see <strong>[U4.51.11]</strong>):</p>
</div>
</div>
<div class="section" id="examples-benchmark-tests">
<h2><span class="section-number">5.3.5. </span>Examples (benchmark tests)<a class="headerlink" href="#examples-benchmark-tests" title="Permalink to this headline">¶</a></h2>
<ul>
<li><p><code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code> : Timoshenko beams</p>
<ul>
<li><p>Linear statics:</p>
<p>DEMO004A: Analysis of a 3D lattice without reinforcement, under self-weight and subjected to a point force.</p>
<p>FORMA01A: Analysis of an elbow pipe subjected to a point force.</p>
</li>
<li><p>Linear dynamics:</p>
<p>SDLL01A [V2.02.01]: Analysis of the eigen-frequencies of a short beam on simple supports.</p>
<p>SDLL11E: Calculation of the eigen-frequencies of a thin circular ring.</p>
</li>
<li><p>Non-linear dynamics:</p>
<p>SDNL103A   [V5.02.103]: Calculation of the response of a post subjected to seismic loading.</p>
</li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code> : Euler-Bernoulli beams</p>
<ul>
<li><p>Linear statics:</p>
<p>SSLL102A [V3.01.102]: Analysis of a fixed beam subjected to a unit force.</p>
</li>
<li><p>Linear dynamics:</p>
<p>FORMA12A: Modal analysis of a beam (multiple modes).</p>
</li>
<li><p>Non-linear dynamics:</p>
<p>SDNL105A [V5.02.105]: Impact between of 3 beams - calculation of the transient response by sub-structuring taking into account nonlinearity due to contact between moving structures.</p>
</li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">BARRE</span></code> : Bars</p>
<ul>
<li><p>Linear statics:</p>
<p>SSLS110A [V3.01.110]: Analysis of a system of 3 bars under self-weight.</p>
</li>
<li><p>Non-linear statics:</p>
<p>SSLS111B [V6.02.111]: Analysis of three von Mises elastic-perfectly plastic bars.</p>
</li>
</ul>
</li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">5.3. <strong>[U3.11.01]</strong> : Modeling beams and bars - <code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code>, <code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code>, <code class="docutils literal notranslate"><span class="pre">BARRE</span></code></a><ul>
<li><a class="reference internal" href="#discretization">5.3.1. Discretization</a><ul>
<li><a class="reference internal" href="#degrees-of-freedom">5.3.1.1. Degrees of freedom</a></li>
<li><a class="reference internal" href="#support-entity-for-stiffness-matrices">5.3.1.2. Support entity for stiffness matrices</a></li>
<li><a class="reference internal" href="#support-entity-for-loads">5.3.1.3. Support entity for loads</a></li>
<li><a class="reference internal" href="#main-features-of-the-models">5.3.1.4. Main features of the models</a></li>
</ul>
</li>
<li><a class="reference internal" href="#assignment-of-geometric-properties">5.3.2. Assignment of geometric properties</a></li>
<li><a class="reference internal" href="#supported-loads">5.3.3. Supported loads</a></li>
<li><a class="reference internal" href="#non-linear-mechanics">5.3.4. Non-linear mechanics</a><ul>
<li><a class="reference internal" href="#material-models">5.3.4.1. Material models</a></li>
<li><a class="reference internal" href="#strains">5.3.4.2. Strains</a></li>
</ul>
</li>
<li><a class="reference internal" href="#examples-benchmark-tests">5.3.5. Examples (benchmark tests)</a></li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u3.11.01.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>